petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESSetCheckJacobianDomainError

if or not to check jacobian domain error after each Jacobian evaluation. By default, we check Jacobian domain error in the debug mode, and do not check it in the optimized mode.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetCheckJacobianDomainError(SNES snes, PetscBool flg)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| flg | - indicates if or not to check jacobian domain error after each Jacobian evaluation

### See Also

SNESCreate(), SNESSetFunction(), SNESFunction(), SNESSetFunctionDomainError(), SNESGetCheckJacobianDomainError()

### Level

advanced

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages